import java.awt.*;
import java.awt.event.*;
import java.io.*;

public class DemoFrame extends Frame implements ActionListener
{
	public DemoFrame()
	{
		super("Majordomo Demo");

		setLayout(null);
		setSize(300,150);
		setVisible(false);

		listField.setBounds(100,100,100,30);
		add(listField); 

		subsbutton.setLabel("Subscribe");
		add(subsbutton);
		subsbutton.setBackground(java.awt.Color.green);
		subsbutton.setBounds(33,40,100,40);
		
		quitbutton.setLabel("Quit");
		add(quitbutton);
		quitbutton.setBackground(java.awt.Color.green);
		quitbutton.setBounds(166,40,100,40);

		setTitle("Majordomo Demo");

		subsbutton.addActionListener(this);
		quitbutton.addActionListener(this);
	}
	
	
	static public void main(String args[])
	{
		try
		{
    			(new DemoFrame()).setVisible(true);
		}
		catch (Throwable t)
		{
			System.err.println(t);
			t.printStackTrace();
			//Ensure the application exits with an error condition.
			System.exit(1);
		}
	}
	
	public void actionPerformed(java.awt.event.ActionEvent event)
	{
		Object object = event.getSource();
		if (object == subsbutton)
			subsbutton_actionPerformed(event);
		else if (object == quitbutton)
			quitbutton_actionPerformed(event);
	}

	void quitbutton_actionPerformed(java.awt.event.ActionEvent event)
	{
		setVisible(false);
		System.exit(0);
	}

	void subsbutton_actionPerformed(java.awt.event.ActionEvent event)
	{
		MajordomoList m = new MajordomoList();
		String name;
		String email;

		try { 
			
			email = m.read((listField.getText())) ;	
		      	m.subscribe("subsList.txt" , email);
		 }
		catch (IOException e ) { 
			System.err.println(e.getMessage()); 
		}
	}

	java.awt.Button subsbutton = new java.awt.Button();
	java.awt.Button quitbutton = new java.awt.Button();
	java.awt.TextField listField = new java.awt.TextField();
	
}

